// Script assets have changed for v2.3.0 see
// https://help.yoyogames.com/hc/en-us/articles/360005277377 for more information
function scr_playerstateattackgun(){

	//start of attack
	if (sprite_index != spr_attackgun)
	{
		sprite_index = spr_attackgun;
		image_index = 0;
		ds_list_clear(hitByAttack);
	}
	//use attack hitbox and check for hits
	mask_index = spr_attackgunHB; 
	var hitByAttackNow = ds_list_create();
	var hits = instance_place_list(x,y,obj_enemy,hitByAttackNow,false);
	if (hits > 0)
	{
		for (var i = 0; i < hits; i++)
		{
		// if instance hasnt been hit by attack
		var hitID = hitByAttackNow[| i];
		if (ds_list_find_index(hitByAttack,hitID) == -1)
		{
			ds_list_add(hitByAttack,hitID);
			with(hitID)
			{
				instance_destroy()
			}
			
			
		}
			
		}
	}
	ds_list_destroy(hitByAttackNow);
	mask_index = spr_player;
	
	scr_playerstatefree()
	
}