// Script assets have changed for v2.3.0 see
// https://help.yoyogames.com/hc/en-us/articles/360005277377 for more information
function scr_playerstatefree(){
	// Horizontal speed
	move = key_left + key_right;
	hsp = move * movespeed;

	// Gravity
	if (vsp < 10) {
	    vsp += grav;
	}  

	// Jump, but only if we're on a platform
	if (place_meeting(x, y+1, obj_wall)) {
	    vsp = key_jump * -jumpspeed
		if (canDash)
		{
			canDash = false;
			dashDirection = point_direction(0,0,key_right-key_left,0)
			dashspd = dashDistance/dashTime;
			dashenergy = dashDistance;
			state = PLAYERSTATE.DASH;
		
		}
	}

	// Horizontal collision
	if (place_meeting(x + hsp, y, obj_wall)) {
	    while (!place_meeting(x + sign(hsp), y, obj_wall)) {
	        x += sign(hsp);
	    }
	    hsp = 0;
	}
	x += hsp;

	// Vertical collision
	if (place_meeting(x, y + vsp, obj_wall)) {
	    while (!place_meeting(x, y + sign(vsp), obj_wall)) {
	        y += sign(vsp);
	    }
		    vsp = 0;
			canDash = true;
			grav = 0.6;
		}
	y += vsp;
}


